/*************************************************************************
 *
 * (C) Copyright 2001
 * DENX Software Engineering
 * Wolfgang Denk, wd@denx.de
 * All rights reserved.
 *
 * Simple IC driver for LWMON
 *
 ************************************************************************/

#define	I2C_MAX_LEN	512

typedef struct si2c_request {
	int		alen;			/* length of address	*/
	int		dlen;			/* length of  data	*/
	unsigned char	addr[4];		/* address buffer	*/
	unsigned char	data[I2C_MAX_LEN];	/*   data  buffer	*/
} si2c_request_t;

typedef struct pic_request {
	unsigned char	reg;
	unsigned char	val;
} pic_request_t;

typedef struct eeprom_request {
	unsigned short 	addr;
	unsigned char	val;
} eeprom_request_t;

/*
 * ioctl()'s
 */
#define I2C_CMD_READ		_IOR('I', 1, si2c_request_t)
#define I2C_CMD_WRITE		_IOW('I', 2, si2c_request_t)
#define I2C_CMD_PIC_RD		_IOR('I', 3, pic_request_t)
#define I2C_CMD_PIC_WR		_IOW('I', 4, si2c_request_t)
#define I2C_CMD_EEPROM_RD	_IOR('I', 5, eeprom_request_t)
#define I2C_CMD_EEPROM_WR	_IOW('I', 6, eeprom_request_t)

/*
 * Public function prototypes
 */
extern ssize_t	si2c_read (si2c_request_t *req);
extern ssize_t	si2c_write(si2c_request_t *req);
