
/*
 * A collection of definitions for the
 * the Cambridge Broadband ICU862 board.
 *
 * Copyright (c) 2001 Wolfgang Denk, wd@denx.de
 */
#ifndef __MACH_ICU862_DEFS
#define __MACH_ICU862_DEFS
#include <linux/config.h>
#include <asm/ppcboot.h>

#ifndef __ASSEMBLY__

#define IMAP_ADDR		((uint)0xf0000000)
#define IMAP_SIZE		((uint)(64 * 1024))

#endif /* !__ASSEMBLY__ */

/*-----------------------------------------------------------------------
 * PCMCIA stuff
 *-----------------------------------------------------------------------
 *
 */
#define PCMCIA_MEM_SIZE		( 64 << 20 )

#define	MAX_HWIFS	1	/* overwrite default in include/asm-ppc/ide.h	*/

/*
 * Definitions for IDE0 Interface
 */
#define IDE0_BASE_OFFSET		0
#define IDE0_DATA_REG_OFFSET		(PCMCIA_MEM_SIZE + 0x320)
#define IDE0_ERROR_REG_OFFSET		(2 * PCMCIA_MEM_SIZE + 0x320 + 1)
#define IDE0_NSECTOR_REG_OFFSET		(2 * PCMCIA_MEM_SIZE + 0x320 + 2)
#define IDE0_SECTOR_REG_OFFSET		(2 * PCMCIA_MEM_SIZE + 0x320 + 3)
#define IDE0_LCYL_REG_OFFSET		(2 * PCMCIA_MEM_SIZE + 0x320 + 4)
#define IDE0_HCYL_REG_OFFSET		(2 * PCMCIA_MEM_SIZE + 0x320 + 5)
#define IDE0_SELECT_REG_OFFSET		(2 * PCMCIA_MEM_SIZE + 0x320 + 6)
#define IDE0_STATUS_REG_OFFSET		(2 * PCMCIA_MEM_SIZE + 0x320 + 7)
#define IDE0_CONTROL_REG_OFFSET		0x0106
#define IDE0_IRQ_REG_OFFSET		0x000A	/* not used			*/

/* We don't use the 8259.
 */
#define NR_8259_INTS	0
#define FEC_INTERRUPT	SIU_LEVEL1	/* FEC interrupt			*/
#define	IDE0_INTERRUPT	SIU_LEVEL6	/* IDE / PCMCIA Interrupt		*/
#define PHY_INTERRUPT	SIU_IRQ2	/* PHY link change interrupt		*/

/* Machine type
 */
#define _MACH_8xx (_MACH_icu862)

#endif
