
/* This is the single file included by all MPC8260 build options.
 * Since there are many different boards and no standard configuration,
 * we have a unique include file for each.  Rather than change every
 * file that has to include MPC8260 configuration, they all include
 * this one and the configuration switching is done here.
 */
#ifdef __KERNEL__
#ifndef __CONFIG_8240_DEFS
#define __CONFIG_8240_DEFS

#include <linux/config.h>

#ifdef CONFIG_8240

#include <asm/cu824.h>


#define _IO_BASE        0
#define _ISA_MEM_BASE   0
#define PCI_DRAM_OFFSET 0x00000000

#define M8240_EUMB_BASE 0xFCE00000

/* The "residual" data board information structure the boot loader
 * hands to us.
 */
extern unsigned char __res[];

/* I need this to get pt_regs.......
*/
#include <asm/ptrace.h>

#endif /* CONFIG_8240 */
#endif
#endif /* __KERNEL__ */
