/*
 * Definitions for Gespac PCIPPC boards support
 *
 * (C) 2002 DENX Software Engineering, Wolfgang Denk, wd@denx.de
 *
 * This program is free software; you can redistribute  it and/or modify it
 * under  the terms of  the GNU General  Public License as published by the
 * Free Software Foundation;  either version 2 of the  License, or (at your
 * option) any later version.
 */

#ifdef __KERNEL__
#ifndef __ASMPPC_PCIPPC2_SERIAL_H
#define __ASMPPC_PCIPPC2_SERIAL_H

#include <linux/config.h>
#include <asm/pcippc2.h>

#ifdef CONFIG_SERIAL_MANY_PORTS
#define RS_TABLE_SIZE  64
#else
#define RS_TABLE_SIZE  4
#endif

#define BASE_BAUD ( 1843200 / 16 )

#ifdef CONFIG_SERIAL_DETECT_IRQ
#define STD_COM_FLAGS (ASYNC_BOOT_AUTOCONF|ASYNC_SKIP_TEST|ASYNC_AUTO_IRQ)
#define STD_COM4_FLAGS (ASYNC_BOOT_AUTOCONF|ASYNC_AUTO_IRQ)
#else
#define STD_COM_FLAGS (ASYNC_BOOT_AUTOCONF|ASYNC_SKIP_TEST)
#define STD_COM4_FLAGS (ASYNC_BOOT_AUTOCONF)
#endif

#define STD_SERIAL_PORT_DEFNS \
        { 0, BASE_BAUD, 0, COM1_INT, STD_COM_FLAGS, 0, 0, 0, 0, 0, 0, 0,     \
	  NULL, 2, 0, 0, {}, {}, {}, SERIAL_IO_MEM, NULL}, 	/* ttyS0 */  \
        { 0, BASE_BAUD, 0, COM2_INT, STD_COM_FLAGS, 0, 0, 0, 0, 0, 0, 0,     \
	  NULL, 2, 0, 0, {}, {}, {}, SERIAL_IO_MEM, NULL}, 	/* ttyS1 */  \

#define SERIAL_PORT_DFNS \
        STD_SERIAL_PORT_DEFNS

#endif
#endif /* __KERNEL__ */
